Page MenuHomePhabricator

Config:Dashiki:* on Meta can't be opened
Closed, ResolvedPublic

Description

I wanted to read the config pages for Dashiki charts for Interlanguage links at https://meta.wikimedia.org/wiki/Config:Dashiki:Interlanguage . I cannot open the page. I get:

Error

Our servers are currently under maintenance or experiencing a technical problem. Please try again in a few minutes.

See the error message at the bottom of this page for more information.

I cannot open any Config:Dashiki:* pages.

I can open other pages on Meta.

Details

Related Gerrit Patches:
mediawiki/extensions/JsonConfig : wmf/1.32.0-wmf.19Check if content instanceof JCDataContent before calling getLicenseObject
mediawiki/extensions/JsonConfig : wmf/1.32.0-wmf.18Check if content instanceof JCDataContent before calling getLicenseObject

Event Timeline

Amire80 created this task.Aug 28 2018, 9:56 PM
Restricted Application added a project: Analytics. · View Herald TranscriptAug 28 2018, 9:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nuria added subscribers: greg, Nuria.

Ping @greg et team, while we edit those pages we have not changed them in a while so probably somthing is a miss with the latest wikipedia deployment that has broken them?

PHP fatal error:
Call to undefined method JsonConfig\JCContent::getLicenseObject()

greg triaged this task as High priority.Aug 28 2018, 10:01 PM

Change 455893 had a related patch set uploaded (by Jforrester; owner: Mholloway):
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.19] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/455893

Change 456033 had a related patch set uploaded (by Jforrester; owner: Mholloway):
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.18] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/456033

Change 455893 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.19] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/455893

Change 456033 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.18] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/456033

Unfortunately it seems my optimism that I50250b483b would fix this was mis-placed; I can't see why the Dashiki objects aren't inheriting, but they aren't….

Nuria added a comment.EditedAug 29 2018, 3:50 PM

Note that dashiki just consumes these json files on meta as you would do on a browser, it does not interact with team at all other than doing a request, is there any way we can help here?

This seems to have been fixed by today's deployment of wmf.19.

Nuria added a comment.Aug 29 2018, 8:18 PM

yay! Resolving.

Nuria closed this task as Resolved.Aug 29 2018, 8:18 PM

Note that it's not fully fixed; the edit page still says "Note: When you edit this page, you agree to release your contribution according to the license specified in the 'licence' field." even though there's no such field on JsonConfig pages which aren't Commons data pages.

Nuria added a comment.Aug 29 2018, 9:48 PM

@Jdforrester-WMF totally missed that, reopening ticket

Nuria reopened this task as Open.Aug 29 2018, 9:48 PM
Mholloway added a comment.EditedAug 30 2018, 2:57 AM

Note that it's not fully fixed; the edit page still says "Note: When you edit this page, you agree to release your contribution according to the license specified in the 'licence' field." even though there's no such field on JsonConfig pages which aren't Commons data pages.

FWIW I think this latter issue probably merits its own task. Recent changes to the JsonConfig extension codebase don't seem to have adequately considered non-Commons-dataset use cases, and we should probably follow up on that with some care. That said, the issue of certain pages that rely on JsonConfig throwing 5xx errors is resolved.

Nuria added a comment.Aug 30 2018, 3:35 PM

Sounds good @Mholloway , will close this task and open new one

fdans closed this task as Resolved.Aug 30 2018, 3:43 PM
fdans claimed this task.
fdans added a subscriber: fdans.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM